// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/SceneItemComponent.hpp"
#include "display/mesh/Mesh.hpp"

namespace Dawn {
  class MeshHost : public SceneItemComponent {
    public:
      Mesh mesh;

      MeshHost(SceneItem *item);
  };
}